API reference
Models
The source of truth for allowed options and prices. Read it at startup instead of hard-coding values — models and prices can change with notice.
GET/v1/models
Scope: readReturns 200
Image resolutions and prices; for each video model: durations, resolutions, aspect ratios, audio support, defaults, prompt limit, reference limit and a price grid (credits by resolution/duration, first frame not included); social prices; retention.
No parameters
Request
curl https://api.oriorai.com/v1/models \
-H "Authorization: Bearer $ORIOR_API_KEY"const response = await fetch('https://api.oriorai.com/v1/models', {
headers: {
Authorization: `Bearer ${process.env.ORIOR_API_KEY}`,
},
})
const data = await response.json()
if (!response.ok) throw new Error(`${data.error.code}: ${data.error.message}`)import os
import requests
response = requests.get(
"https://api.oriorai.com/v1/models",
headers={"Authorization": f"Bearer {os.environ['ORIOR_API_KEY']}"},
timeout=60,
)
response.raise_for_status()
data = response.json()Response · 200
Response
{
"object": "list",
"api_credit_multiplier": 2,
"image": {
"id": "orior-image",
"aspect_ratios": [
"1:1",
"2:3",
"3:2",
"3:4",
"4:3",
"4:5",
"5:4",
"9:16",
"16:9",
"21:9"
],
"resolutions": [
"1K",
"2K",
"4K"
],
"credits": {
"1K": 2,
"2K": 2,
"4K": 3
},
"max_reference_images": 6
},
"video": [
{
"id": "seedance-2.5",
"name": "Seedance 2.5",
"durations": [
"4",
"8",
"12"
],
"resolutions": [
"480p",
"720p",
"1080p"
],
"aspect_ratios": [
"9:16",
"16:9",
"1:1",
"4:3",
"3:4",
"21:9",
"adaptive"
],
"audio": true,
"defaults": {
"duration": "8",
"resolution": "720p",
"aspect_ratio": "9:16",
"audio": true
},
"requires_motion_video": false,
"max_prompt_length": 5000,
"max_reference_images": 8,
"credits": {
"480p/4s": 12,
"480p/8s": 22,
"720p/8s": 44,
"1080p/12s": 66,
"…": "…"
}
},
"…"
],
"social": {
"post_per_destination": 1,
"x_post_with_link": 3,
"extra_account_monthly": 50
},
"retention": {
"uploads_days": 7,
"outputs": "kept until deleted"
}
}